#!/Users/square/j/ws/release/tarball/e572bbe2ba/build/conda/miniconda3-py37_4.8.2/envs/lsst-scipipe-1a1d771/bin/python  # noqa

from __future__ import print_function

import matplotlib
matplotlib.use('Agg')
import lsst.sims.maf.batches as batches
from run_generic import *


def setBatches(opsdb, colmap, args):
    bdict = {}

    b, p = batches.meanRADec(colmap, args.runName, extraSql=args.sqlConstraint)
    bdict.update(b)

    b, p = batches.eastWestBias(colmap, args.runName, extraSql=args.sqlConstraint)
    bdict.update(b)

    return bdict


if __name__ == '__main__':
    args = parseArgs(subdir = 'skycoverage')
    opsdb, colmap = connectDb(args.dbfile)
    bdict = setBatches(opsdb, colmap, args)
    if args.plotOnly:
        replot(bdict, opsdb, colmap, args)
    else:
        run(bdict, opsdb, colmap, args)
    opsdb.close()
